curl --request GET \
--url https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId} \
--header 'AppCode: <appcode>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}"
headers = {
"AppCode": "<appcode>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("AppCode", "<appcode>");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}")
.header("AppCode", "<appcode>")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"AppCode: <appcode>",
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {AppCode: '<appcode>', Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"registrationId": "8621824C-86B2-41F7-BF6F-20D3B1426005",
"applicationId": "753CBCDC1D587223934106E2A2AEDD44",
"isPrimary": false,
"systemData": {
"cloudType": "GCM",
"registrationEnabled": true,
"notificationsEnabled": true,
"geofencingSdk": true,
"sdkVersion": "2.0.9.1",
"appVersion": "1.16.0",
"os": "Android",
"osVersion": "8.0.0",
"deviceManufacturer": "HUAWEI",
"deviceModel": "ANE-LX1",
"deviceSecure": true,
"osLanguage": "en",
"deviceTimezoneOffset": "GMT+03:00",
"deviceName": "ANE-LX1"
}
}Get push device registration
Use this method to get device data
Required scope: Enable one of: people:manage, people:read, mobile-app-messaging:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId} \
--header 'AppCode: <appcode>' \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}"
headers = {
"AppCode": "<appcode>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("AppCode", "<appcode>");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}")
.header("AppCode", "<appcode>")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"AppCode: <appcode>",
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {AppCode: '<appcode>', Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/people/2/contactInformation/push/{pushRegId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"registrationId": "8621824C-86B2-41F7-BF6F-20D3B1426005",
"applicationId": "753CBCDC1D587223934106E2A2AEDD44",
"isPrimary": false,
"systemData": {
"cloudType": "GCM",
"registrationEnabled": true,
"notificationsEnabled": true,
"geofencingSdk": true,
"sdkVersion": "2.0.9.1",
"appVersion": "1.16.0",
"os": "Android",
"osVersion": "8.0.0",
"deviceManufacturer": "HUAWEI",
"deviceModel": "ANE-LX1",
"deviceSecure": true,
"osLanguage": "en",
"deviceTimezoneOffset": "GMT+03:00",
"deviceName": "ANE-LX1"
}
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Headers
Application code
Path Parameters
Registration identifier of a particular push device registration
Response
OK
Push registration id of the instance
String id of the application that the instance belongs to
Set to true if this device is a primary device of a user among other devices
Custom attributes set for a device
Show child attributes
Show child attributes
Set of push-specific attributes
Show child attributes
Show child attributes